<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for TimeSheetSearchBasic StructType
 * @subpackage Structs
 */
class TimeSheetSearchBasic extends SearchRecordBasic
{
    /**
     * The approvalStatus
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $approvalStatus;
    /**
     * The employee
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $employee;
    /**
     * The externalId
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $externalId;
    /**
     * The externalIdString
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchStringField
     */
    public $externalIdString;
    /**
     * The id
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchLongField
     */
    public $id;
    /**
     * The internalId
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $internalId;
    /**
     * The internalIdNumber
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchLongField
     */
    public $internalIdNumber;
    /**
     * The timeSheetDate
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDateField
     */
    public $timeSheetDate;
    /**
     * The totalHours
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDoubleField
     */
    public $totalHours;
    /**
     * The customFieldList
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchCustomFieldList
     */
    public $customFieldList;
    /**
     * Constructor method for TimeSheetSearchBasic
     * @uses TimeSheetSearchBasic::setApprovalStatus()
     * @uses TimeSheetSearchBasic::setEmployee()
     * @uses TimeSheetSearchBasic::setExternalId()
     * @uses TimeSheetSearchBasic::setExternalIdString()
     * @uses TimeSheetSearchBasic::setId()
     * @uses TimeSheetSearchBasic::setInternalId()
     * @uses TimeSheetSearchBasic::setInternalIdNumber()
     * @uses TimeSheetSearchBasic::setTimeSheetDate()
     * @uses TimeSheetSearchBasic::setTotalHours()
     * @uses TimeSheetSearchBasic::setCustomFieldList()
     * @param \StructType\SearchMultiSelectField $approvalStatus
     * @param \StructType\SearchMultiSelectField $employee
     * @param \StructType\SearchMultiSelectField $externalId
     * @param \StructType\SearchStringField $externalIdString
     * @param \StructType\SearchLongField $id
     * @param \StructType\SearchMultiSelectField $internalId
     * @param \StructType\SearchLongField $internalIdNumber
     * @param \StructType\SearchDateField $timeSheetDate
     * @param \StructType\SearchDoubleField $totalHours
     * @param \StructType\SearchCustomFieldList $customFieldList
     */
    public function __construct(\StructType\SearchMultiSelectField $approvalStatus = null, \StructType\SearchMultiSelectField $employee = null, \StructType\SearchMultiSelectField $externalId = null, \StructType\SearchStringField $externalIdString = null, \StructType\SearchLongField $id = null, \StructType\SearchMultiSelectField $internalId = null, \StructType\SearchLongField $internalIdNumber = null, \StructType\SearchDateField $timeSheetDate = null, \StructType\SearchDoubleField $totalHours = null, \StructType\SearchCustomFieldList $customFieldList = null)
    {
        $this
            ->setApprovalStatus($approvalStatus)
            ->setEmployee($employee)
            ->setExternalId($externalId)
            ->setExternalIdString($externalIdString)
            ->setId($id)
            ->setInternalId($internalId)
            ->setInternalIdNumber($internalIdNumber)
            ->setTimeSheetDate($timeSheetDate)
            ->setTotalHours($totalHours)
            ->setCustomFieldList($customFieldList);
    }
    /**
     * Get approvalStatus value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getApprovalStatus()
    {
        return $this->approvalStatus;
    }
    /**
     * Set approvalStatus value
     * @param \StructType\SearchMultiSelectField $approvalStatus
     * @return \StructType\TimeSheetSearchBasic
     */
    public function setApprovalStatus(\StructType\SearchMultiSelectField $approvalStatus = null)
    {
        $this->approvalStatus = $approvalStatus;
        return $this;
    }
    /**
     * Get employee value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getEmployee()
    {
        return $this->employee;
    }
    /**
     * Set employee value
     * @param \StructType\SearchMultiSelectField $employee
     * @return \StructType\TimeSheetSearchBasic
     */
    public function setEmployee(\StructType\SearchMultiSelectField $employee = null)
    {
        $this->employee = $employee;
        return $this;
    }
    /**
     * Get externalId value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getExternalId()
    {
        return $this->externalId;
    }
    /**
     * Set externalId value
     * @param \StructType\SearchMultiSelectField $externalId
     * @return \StructType\TimeSheetSearchBasic
     */
    public function setExternalId(\StructType\SearchMultiSelectField $externalId = null)
    {
        $this->externalId = $externalId;
        return $this;
    }
    /**
     * Get externalIdString value
     * @return \StructType\SearchStringField|null
     */
    public function getExternalIdString()
    {
        return $this->externalIdString;
    }
    /**
     * Set externalIdString value
     * @param \StructType\SearchStringField $externalIdString
     * @return \StructType\TimeSheetSearchBasic
     */
    public function setExternalIdString(\StructType\SearchStringField $externalIdString = null)
    {
        $this->externalIdString = $externalIdString;
        return $this;
    }
    /**
     * Get id value
     * @return \StructType\SearchLongField|null
     */
    public function getId()
    {
        return $this->id;
    }
    /**
     * Set id value
     * @param \StructType\SearchLongField $id
     * @return \StructType\TimeSheetSearchBasic
     */
    public function setId(\StructType\SearchLongField $id = null)
    {
        $this->id = $id;
        return $this;
    }
    /**
     * Get internalId value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getInternalId()
    {
        return $this->internalId;
    }
    /**
     * Set internalId value
     * @param \StructType\SearchMultiSelectField $internalId
     * @return \StructType\TimeSheetSearchBasic
     */
    public function setInternalId(\StructType\SearchMultiSelectField $internalId = null)
    {
        $this->internalId = $internalId;
        return $this;
    }
    /**
     * Get internalIdNumber value
     * @return \StructType\SearchLongField|null
     */
    public function getInternalIdNumber()
    {
        return $this->internalIdNumber;
    }
    /**
     * Set internalIdNumber value
     * @param \StructType\SearchLongField $internalIdNumber
     * @return \StructType\TimeSheetSearchBasic
     */
    public function setInternalIdNumber(\StructType\SearchLongField $internalIdNumber = null)
    {
        $this->internalIdNumber = $internalIdNumber;
        return $this;
    }
    /**
     * Get timeSheetDate value
     * @return \StructType\SearchDateField|null
     */
    public function getTimeSheetDate()
    {
        return $this->timeSheetDate;
    }
    /**
     * Set timeSheetDate value
     * @param \StructType\SearchDateField $timeSheetDate
     * @return \StructType\TimeSheetSearchBasic
     */
    public function setTimeSheetDate(\StructType\SearchDateField $timeSheetDate = null)
    {
        $this->timeSheetDate = $timeSheetDate;
        return $this;
    }
    /**
     * Get totalHours value
     * @return \StructType\SearchDoubleField|null
     */
    public function getTotalHours()
    {
        return $this->totalHours;
    }
    /**
     * Set totalHours value
     * @param \StructType\SearchDoubleField $totalHours
     * @return \StructType\TimeSheetSearchBasic
     */
    public function setTotalHours(\StructType\SearchDoubleField $totalHours = null)
    {
        $this->totalHours = $totalHours;
        return $this;
    }
    /**
     * Get customFieldList value
     * @return \StructType\SearchCustomFieldList|null
     */
    public function getCustomFieldList()
    {
        return $this->customFieldList;
    }
    /**
     * Set customFieldList value
     * @param \StructType\SearchCustomFieldList $customFieldList
     * @return \StructType\TimeSheetSearchBasic
     */
    public function setCustomFieldList(\StructType\SearchCustomFieldList $customFieldList = null)
    {
        $this->customFieldList = $customFieldList;
        return $this;
    }
}
